Bug 1183015 - ipv6.method shared prevents connection from being upped
Summary: ipv6.method shared prevents connection from being upped
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Lubomir Rintel
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-16 12:40 UTC by Vladimir Benes
Modified: 2015-11-19 10:59 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The connection activation code has been improved. Activations succeed in more cases, failures are handled gracefully, and logging is more concise.
Clone Of:
Environment:
Last Closed: 2015-11-19 10:59:36 UTC
Target Upstream Version:


Attachments (Terms of Use)
Suggested fix (1.30 KB, text/plain)
2015-01-19 14:25 UTC, Lubomir Rintel
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description Vladimir Benes 2015-01-16 12:40:17 UTC
Description of problem:
I've set ipv6.method to shared to connection operating over existing ethernet device and I cannot up it anymore.

Error: Connection activation failed: Active connection removed before it was initialized

Version-Release number of selected component (if applicable):
NetworkManager-1.0.0-8.git20150107.1ea95cd3.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.nmcli connection add type ethernet con-name ethie ifname eth1
2.nmcli connection edit id ethie
3.set ipv6.method shared
4.save
5.quit
6.nmcli connection up id ethie 

Actual results:
Error: Connection activation failed: Active connection removed before it was initialized

Comment 1 Dan Winship 2015-01-16 13:40:14 UTC
"shared" is not yet supported for IPv6, so this isn't entirely a bug. We should probably return an error immediately when you try to activate it though, rather than allowing activation to start and then failing afterward.

Comment 2 Lubomir Rintel 2015-01-19 14:25:24 UTC
Created attachment 981529 [details]
Suggested fix

Comment 3 Dan Williams 2015-01-20 23:04:36 UTC
Sure, LGTM

Comment 4 Lubomir Rintel 2015-01-25 20:33:23 UTC
Added to master:

477033b manager: don't attempt to activate ipv6.method=shared connections

Comment 6 Lubomir Rintel 2015-06-09 17:04:12 UTC
In nm-1-0:

ade0c9e manager: don't attempt to activate ipv6.method=shared connections

Comment 8 Vladimir Benes 2015-09-04 23:15:33 UTC
Sharing IPv6 connections is not supported yet is shown.

Comment 9 errata-xmlrpc 2015-11-19 10:59:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html


Note You need to log in before you can comment on or make changes to this bug.